<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="relatorioMarcaEGrupoPorVendedor" pageWidth="595" pageHeight="842" columnWidth="555" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="1cad7a28-9c91-4ec9-b362-eb2043a77d83">
	<property name="ireport.zoom" value="1.5"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<parameter name="SUBREPORT_DIR" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["/Users/Tarcisio/documents/desenv/Ambiente/workspace/nepalign/src/relatorios/"]]></defaultValueExpression>
	</parameter>
	<parameter name="logo" class="java.lang.Object"/>
	<parameter name="dataInicial" class="java.lang.String">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="dataFinal" class="java.lang.String">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="tituloRelatorio" class="java.lang.String"/>
	<parameter name="HABILITAR_DATA" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["S"]]></defaultValueExpression>
	</parameter>
	<parameter name="empresaDescricao" class="java.lang.String"/>
	<parameter name="dataCompInicial" class="java.lang.String">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="dataCompFinal" class="java.lang.String">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="idEmpresa" class="java.lang.String">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="idMarca" class="java.lang.String">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="idGrupo" class="java.lang.String"/>
	<parameter name="cupom" class="java.lang.Boolean"/>
	<parameter name="dataSourceGrupo" class="java.lang.Object"/>
	<parameter name="parameter1" class="java.util.Collection"/>
	<queryString>
		<![CDATA[SELECT concat(ven.codigoVendedorCache,' - ',ven.nome) as vendedor,
sum(item.quantidade-if(item.entradaSaida='E',(item.quantidade*2 ),0))as qntVendedor,totalMarca.quantidade  as 'Qt Compra',
 sum(if(item.entradasaida ='S',item.precoVenda * item.quantidade,(item.precoVenda * item.quantidade)*(-1))) as vendaVendedor,
 totalMarca.venda as 'totalVenda',
prod.idmarca,prod.idGrupoProduto,marca.idmarca,marca.descricao
FROM itempedidovenda item
left outer JOIN pedidovenda pv on pv.idPedidoVenda = item.idPedidoVenda
left outer JOIN vendedor ven on ven.idVendedor = pv.idVendedor
left outer JOIN produto prod  ON prod.idProduto = item.idProduto
left outer JOIN grupoproduto grupo ON grupo.idGrupoProduto = prod.idGrupoProduto
left outer JOIN marca marca ON marca.idMarca = prod.idMarca
	join(SELECT
	sum(if(itemMarca.entradasaida ='S',itemMarca.precoVenda * itemMarca.quantidade,(itemMarca.precoVenda * itemMarca.quantidade)*(-1))) as venda,
	sum(itemMarca.quantidade-if(itemMarca.entradaSaida='E',(itemMarca.quantidade*2 ),0))  as quantidade,prodMarca.idmarca
	FROM itempedidovenda itemMarca
	INNER JOIN pedidovenda pvMarca on pvMarca.idPedidoVenda = itemMarca.idPedidoVenda
	left outer JOIN produto prodMarca  ON prodMarca.idProduto = itemMarca.idProduto
	where if( pvMarca.idsituacaoPedidoVenda is null,true,pvMarca.idsituacaoPedidoVenda not in(  5))
	and pvMarca.idTipoMovimentacaoEstoque not in(3,4)
	and pvMarca.dataVenda >= ' 2016-03-12 00:00:00'
	and pvMarca.dataVenda <= ' 2016-08-09 23:59:59'
	and pvMarca.idempresafisica in (10)
	group by prodMarca.idMarca
	) totalMarca on totalMarca.idMarca = marca.idMarca
where if(pv.idsituacaoPedidoVenda is null,true,pv.idsituacaoPedidoVenda not in(5))
and pv.idTipoMovimentacaoEstoque not in(3,4)
and pv.dataVenda >= '2016-03-12 00:00:00'
and pv.dataVenda <= '2016-08-09 23:59:59'
and pv.idempresafisica in(10)
group by prod.idMarca,ven.idvendedor
order by prod.idMarca,sum(if(item.entradasaida ='S',item.precoVenda * item.quantidade,(item.precoVenda * item.quantidade)*(-1))) desc limit 1]]>
	</queryString>
	<field name="vendedor" class="java.lang.String"/>
	<field name="qntVendedor" class="java.lang.Double"/>
	<field name="Qt Compra" class="java.lang.Double"/>
	<field name="vendaVendedor" class="java.lang.Double"/>
	<field name="totalVenda" class="java.lang.Double"/>
	<field name="idmarca" class="java.lang.Integer">
		<fieldDescription><![CDATA[marca:Marca::lupa]]></fieldDescription>
	</field>
	<field name="idGrupoProduto" class="java.lang.Integer">
		<fieldDescription><![CDATA[grupo:Grupo::descricao:combo]]></fieldDescription>
	</field>
	<field name="descricao" class="java.lang.String">
		<fieldDescription><![CDATA[descricao:Marca]]></fieldDescription>
	</field>
	<variable name="totalValor" class="java.lang.Double" resetType="Group" resetGroup="marca" calculation="Sum">
		<variableExpression><![CDATA[$F{totalVenda}]]></variableExpression>
	</variable>
	<variable name="porcetagemValor" class="java.lang.Double" resetType="Group" resetGroup="marca">
		<variableExpression><![CDATA[new Double(($V{totalValor}*100)/$V{totalValor})]]></variableExpression>
	</variable>
	<variable name="totalQnt" class="java.lang.Double" resetType="Group" resetGroup="marca" calculation="Sum">
		<variableExpression><![CDATA[$F{Qt Compra}]]></variableExpression>
	</variable>
	<variable name="porcetagemValor_1" class="java.lang.Double">
		<variableExpression><![CDATA[new Double((($F{vendaVendedor}*100)/$F{totalVenda})/100)]]></variableExpression>
	</variable>
	<variable name="totalQuantidade" class="java.lang.Long" resetType="Column" calculation="Sum">
		<variableExpression><![CDATA[$F{qntVendedor}]]></variableExpression>
	</variable>
	<variable name="porcetagemQuantidade" class="java.lang.Double">
		<variableExpression><![CDATA[new Double((($F{qntVendedor}*100)/$F{Qt Compra})/100)]]></variableExpression>
	</variable>
	<variable name="rank" class="java.lang.Integer">
		<variableExpression><![CDATA[$V{REPORT_COUNT}]]></variableExpression>
	</variable>
	<group name="marca">
		<groupExpression><![CDATA[$F{idmarca}]]></groupExpression>
		<groupHeader>
			<band height="24">
				<staticText>
					<reportElement uuid="d906f084-0fd2-41c5-ba3d-f99151e97df5" x="0" y="1" width="38" height="11"/>
					<textElement>
						<font size="8" isBold="true"/>
					</textElement>
					<text><![CDATA[Marca:]]></text>
				</staticText>
				<line>
					<reportElement uuid="ee9e74ae-4a5a-47c2-93af-0e4f9f977bec" x="0" y="12" width="554" height="1"/>
				</line>
				<staticText>
					<reportElement uuid="1707500e-9337-4320-a2ec-5eee87514f24" x="257" y="1" width="51" height="11"/>
					<textElement textAlignment="Right">
						<font size="8" isBold="true"/>
					</textElement>
					<text><![CDATA[TOTAL VLR:]]></text>
				</staticText>
				<textField pattern="#,##0.00">
					<reportElement uuid="8025573d-bf9a-440f-9d87-2daf75c49de1" x="311" y="1" width="65" height="11"/>
					<textElement>
						<font size="8"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{totalVenda}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement uuid="4e371a6d-5572-445c-a6b0-9b5c0bfc99a9" x="38" y="1" width="219" height="11"/>
					<textElement>
						<font size="8" isBold="true"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{idmarca}+" - "+$F{descricao}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement uuid="c929c7ed-bae7-464e-8442-941309f114d8" x="376" y="1" width="59" height="11"/>
					<textElement textAlignment="Right">
						<font size="8" isBold="true"/>
					</textElement>
					<text><![CDATA[TOTAL QTD:]]></text>
				</staticText>
				<textField pattern="###0">
					<reportElement uuid="b05a41ec-6991-4fbf-a8dd-64e9ebbd6157" x="436" y="1" width="65" height="11"/>
					<textElement>
						<font size="8"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{Qt Compra}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement uuid="f84a0c32-f60c-4f21-9d08-007ffa0893f4" x="59" y="13" width="105" height="11"/>
					<textElement>
						<font size="8" isBold="true"/>
					</textElement>
					<text><![CDATA[Vendedor]]></text>
				</staticText>
				<staticText>
					<reportElement uuid="1d3970fd-0185-450f-b985-6a20579ef47e" x="10" y="13" width="42" height="11"/>
					<textElement textAlignment="Center">
						<font size="8" isBold="true"/>
					</textElement>
					<text><![CDATA[Rank]]></text>
				</staticText>
				<staticText>
					<reportElement uuid="4ca7df85-766d-4d34-9cf4-b8e78efe346e" x="288" y="13" width="53" height="11"/>
					<textElement>
						<font size="8" isBold="true"/>
					</textElement>
					<text><![CDATA[Vlr Total Itens]]></text>
				</staticText>
				<staticText>
					<reportElement uuid="d4369819-8163-40b3-9732-c71de341e314" x="409" y="12" width="37" height="11"/>
					<textElement textAlignment="Center">
						<font size="8" isBold="true"/>
					</textElement>
					<text><![CDATA[Qt. Itens]]></text>
				</staticText>
			</band>
		</groupHeader>
		<groupFooter>
			<band height="10">
				<subreport>
					<reportElement uuid="984c486e-4ac2-4dfd-a519-3fb293a34f0a" positionType="Float" x="0" y="0" width="555" height="10" isRemoveLineWhenBlank="true"/>
					<subreportParameter name="totalQnt">
						<subreportParameterExpression><![CDATA[$V{totalQnt}]]></subreportParameterExpression>
					</subreportParameter>
					<subreportParameter name="logo">
						<subreportParameterExpression><![CDATA[$P{logo}]]></subreportParameterExpression>
					</subreportParameter>
					<subreportParameter name="empresaDescricao">
						<subreportParameterExpression><![CDATA[$P{empresaDescricao}]]></subreportParameterExpression>
					</subreportParameter>
					<subreportParameter name="HABILITAR_DATA">
						<subreportParameterExpression><![CDATA[$P{HABILITAR_DATA}]]></subreportParameterExpression>
					</subreportParameter>
					<subreportParameter name="idGrupo">
						<subreportParameterExpression><![CDATA[$P{idGrupo}]]></subreportParameterExpression>
					</subreportParameter>
					<subreportParameter name="dataCompInicial">
						<subreportParameterExpression><![CDATA[$P{dataCompInicial}]]></subreportParameterExpression>
					</subreportParameter>
					<subreportParameter name="idMarca">
						<subreportParameterExpression><![CDATA[$F{idmarca}.toString()]]></subreportParameterExpression>
					</subreportParameter>
					<subreportParameter name="SUBREPORT_DIR">
						<subreportParameterExpression><![CDATA[$P{SUBREPORT_DIR}]]></subreportParameterExpression>
					</subreportParameter>
					<subreportParameter name="dataFinal">
						<subreportParameterExpression><![CDATA[$P{dataFinal}]]></subreportParameterExpression>
					</subreportParameter>
					<subreportParameter name="idEmpresa">
						<subreportParameterExpression><![CDATA[$P{idEmpresa}]]></subreportParameterExpression>
					</subreportParameter>
					<subreportParameter name="tituloRelatorio">
						<subreportParameterExpression><![CDATA[$P{tituloRelatorio}]]></subreportParameterExpression>
					</subreportParameter>
					<subreportParameter name="cupom">
						<subreportParameterExpression><![CDATA[$P{cupom}]]></subreportParameterExpression>
					</subreportParameter>
					<subreportParameter name="dataCompFinal">
						<subreportParameterExpression><![CDATA[$P{dataCompFinal}]]></subreportParameterExpression>
					</subreportParameter>
					<subreportParameter name="dataSourceGrupo">
						<subreportParameterExpression><![CDATA[$P{dataSourceGrupo}]]></subreportParameterExpression>
					</subreportParameter>
					<subreportParameter name="dataInicial">
						<subreportParameterExpression><![CDATA[$P{dataInicial}]]></subreportParameterExpression>
					</subreportParameter>
					<subreportParameter name="totalMarca">
						<subreportParameterExpression><![CDATA[$F{totalVenda}]]></subreportParameterExpression>
					</subreportParameter>
					<subreportParameter name="idMarcaSub">
						<subreportParameterExpression><![CDATA[$F{idmarca}.toString()]]></subreportParameterExpression>
					</subreportParameter>
					<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
					<subreportExpression><![CDATA[$P{SUBREPORT_DIR} + "subMarcaEGrupoPorVendedorGrupo.jasper"]]></subreportExpression>
				</subreport>
			</band>
		</groupFooter>
	</group>
	<title>
		<band height="66" splitType="Stretch">
			<subreport>
				<reportElement uuid="5522d2a8-8725-4e3f-bedd-a672a55dff3e" positionType="Float" x="-1" y="0" width="555" height="66"/>
				<subreportParameter name="SUBREPORT_DIR">
					<subreportParameterExpression><![CDATA[$P{SUBREPORT_DIR}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="logo">
					<subreportParameterExpression><![CDATA[$P{logo}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="dataFinal">
					<subreportParameterExpression><![CDATA[$P{dataFinal}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="empresaDescricao">
					<subreportParameterExpression><![CDATA[$P{empresaDescricao}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="tituloRelatorio">
					<subreportParameterExpression><![CDATA["Relatorio Venda Marca/Grupo por Vendedor"]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="HABILITAR_DATA">
					<subreportParameterExpression><![CDATA[$P{HABILITAR_DATA}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="dataInicial">
					<subreportParameterExpression><![CDATA[$P{dataInicial}]]></subreportParameterExpression>
				</subreportParameter>
				<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
				<subreportExpression><![CDATA[$P{SUBREPORT_DIR} + "dsvCabecalhoRetrato.jasper"]]></subreportExpression>
			</subreport>
		</band>
	</title>
	<detail>
		<band height="11" splitType="Stretch">
			<textField pattern="#,##0.00 %" isBlankWhenNull="true">
				<reportElement uuid="9d972053-fcd5-42aa-83c0-dbd82cb2a927" positionType="Float" x="446" y="0" width="39" height="11" isRemoveLineWhenBlank="true"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{porcetagemQuantidade}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00 %" isBlankWhenNull="true">
				<reportElement uuid="8d6270c9-f4d6-43af-a987-2be952f815ff" positionType="Float" x="341" y="0" width="44" height="11" isRemoveLineWhenBlank="true"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{porcetagemValor_1}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement uuid="5e9a1b2d-9e44-42fa-8281-0ac2ba9b9131" positionType="Float" x="10" y="0" width="42" height="11" isRemoveLineWhenBlank="true"/>
				<textElement textAlignment="Center">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{rank}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement uuid="a4fcff4e-1dd8-401f-bb49-840a09a3662b" positionType="Float" x="59" y="0" width="210" height="11" isRemoveLineWhenBlank="true"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{vendedor}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00" isBlankWhenNull="true">
				<reportElement uuid="72419e4e-a1c7-4454-b6b7-86707a8eb100" positionType="Float" x="288" y="0" width="42" height="11" isRemoveLineWhenBlank="true"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{vendaVendedor}]]></textFieldExpression>
			</textField>
			<textField pattern="###0" isBlankWhenNull="true">
				<reportElement uuid="41ffad61-60f4-46aa-b0fc-43b60f7c175b" positionType="Float" x="409" y="0" width="37" height="11" isRemoveLineWhenBlank="true"/>
				<textElement textAlignment="Center">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{qntVendedor}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<pageFooter>
		<band height="11">
			<textField>
				<reportElement uuid="8a1b7d65-8f04-42cb-8a0c-744e77f1b300" x="423" y="0" width="91" height="11"/>
				<textElement textAlignment="Right">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA["Pagina "+$V{PAGE_NUMBER}+" de"]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Report">
				<reportElement uuid="e65ea125-90a6-4217-825f-f2476a3c4a80" x="514" y="0" width="40" height="11"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[" " + $V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
		</band>
	</pageFooter>
</jasperReport>
